# Email the invoice with its PDF to the customer

`POST /invoices/{id}/send` · Rivier · shop

Email the invoice with its PDF to the customer.

- Scope: shop:write
- Mcp: rivier_invoices_send
- Graphql: Mutation.sendInvoice
- Sdk: shop.invoice.send
- Cli: shop invoice send

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "maxLength": 1000
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/invoices/{id}/send' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "message": "string"
}'
```
